
Redmine - Feature #30419

Drop support for MySQL 5.5

2019-01-13 23:56 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Support for MySQL 5.5 ended in December 2018:

Resources:

- https://en.wikipedia.org/wiki/MySQL#Milestones

- https://www.fromdual.com/support-for-mysql-from-oracle

There are no changes in the code from what I've found, I think that we should just update the wiki and add this ticket to the

Changelog.

I propose to drop support in 4.1.0.

Related issues:

Related to Redmine - Feature #39579: Drop official support for MySQL 5.5, 5.6... Closed

History

#1 - 2019-08-19 02:14 - Go MAEDA

I think it is premature to drop support for MySQL 5.5.

CentOS 7 bundles MariaDB 5.5.60. The support for CentOS ends on 2024-06-30

The latest version of ActiveRecord 6.0.0 still supports MySQL 5.5.8: 

https://github.com/rails/rails/blob/6-0-stable/activerecord/lib/active_record/connection_adapters/abstract_mysql_adapter.rb#L520

#2 - 2023-11-21 00:04 - Marius BĂLTEANU

- Related to Feature #39579: Drop official support for MySQL 5.5, 5.6 and 5.7 added

#3 - 2023-11-21 00:04 - Marius BĂLTEANU

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

#4 - 2023-11-21 00:13 - Marius BĂLTEANU

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2025-05-12 1/1

https://en.wikipedia.org/wiki/MySQL#Milestones
https://www.fromdual.com/support-for-mysql-from-oracle
https://www.redmine.org/versions/127
https://github.com/rails/rails/blob/6-0-stable/activerecord/lib/active_record/connection_adapters/abstract_mysql_adapter.rb#L520
http://www.tcpdf.org

